## ros-rolling-ros2cli-common-extensions 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ros2cli_common_extensions)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

## ros-rolling-ros2cli-common-extensions 0.1.1

=== debian/changelog ===
ros-rolling-ros2cli-common-extensions (0.1.1-2focal) focal; urgency=high

  * remove maintainer (#5 <https://github.com/ros2/ros2cli_common_extensions/issues/5>)
  * update maintainer (#4 <https://github.com/ros2/ros2cli_common_extensions/issues/4>)
  * Contributors: Claire Wang

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-ros2cli-common-extensions (0.1.0-2focal) focal; urgency=high

  * First implementation (#2 <https://github.com/ros2/ros2cli_common_extensions/issues/2>)
  * Contributors: Bo Sun

 -- Ivan Santiago Paunovic <ivanpauno@ekumenlabs.com>  Mon, 13 Jul 2020 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros2cli-common-extensions
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros2cli-common-extensions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-launch-xml, ros-rolling-launch-yaml, ros-rolling-ros2action, ros-rolling-ros2cli, ros-rolling-ros2component, ros-rolling-ros2doctor, ros-rolling-ros2interface, ros-rolling-ros2launch, ros-rolling-ros2lifecycle, ros-rolling-ros2multicast, ros-rolling-ros2node, ros-rolling-ros2param, ros-rolling-ros2pkg, ros-rolling-ros2run, ros-rolling-ros2service, ros-rolling-ros2topic, ros-rolling-sros2, ros-rolling-ros-workspace
Description: Meta package for ros2cli common extensions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ros2cli-common-extensions//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ros2cli-common-extensions 0.3.0

=== debian/changelog ===
ros-rolling-ros2cli-common-extensions (0.3.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-rolling-ros2cli-common-extensions (0.2.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#7 <https://github.com/ros2/ros2cli_common_extensions/issues/7>)
  * Contributors: Audrow Nash

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-rolling-ros2cli-common-extensions (0.2.1-1jammy) jammy; urgency=high

  * Update maintainers (#6 <https://github.com/ros2/ros2cli_common_extensions/issues/6>)
  * Contributors: methylDragon

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-rolling-ros2cli-common-extensions (0.2.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-rolling-ros2cli-common-extensions (0.1.1-1jammy) jammy; urgency=high

  * remove maintainer (#5 <https://github.com/ros2/ros2cli_common_extensions/issues/5>)
  * update maintainer (#4 <https://github.com/ros2/ros2cli_common_extensions/issues/4>)
  * Contributors: Claire Wang

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-rolling-ros2cli-common-extensions (0.1.0-1jammy) jammy; urgency=high

  * First implementation (#2 <https://github.com/ros2/ros2cli_common_extensions/issues/2>)
  * Contributors: Bo Sun

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 12 Jul 2020 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-rolling-ros2cli-common-extensions
 Section: misc
 Priority: optional
-Maintainer: Chris Lalancette <clalancette@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
+Maintainer: Dharini Dutia <dharini@openrobotics.org>
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
